#if !defined(__tstmdicl_h)              // Sentry, use file only if it's not already included.
#define __tstmdicl_h

/*  Project test
    
    Copyright  1994. All Rights Reserved.

    SUBSYSTEM:    test.exe Application
    FILE:         tstmdicl.h
    AUTHOR:       


    OVERVIEW
    ========
    Class definition for testMDIClient (TMDIClient).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\opensave.h>

#include "testapp.rh"            // Definition of all resources.


//{{TMDIClient = testMDIClient}}
class testMDIClient : public TMDIClient {
public:
    int                     ChildCount;                 // Number of child window created. 
    TOpenSaveDialog::TData  FileData;                   // Data to control open/saveas standard dialog.

    testMDIClient ();
    virtual ~testMDIClient ();

    void OpenFile (const char *fileName = 0);

private:
    void LoadTextFile ();

//{{testMDIClientVIRTUAL_BEGIN}}
protected:
    virtual void SetupWindow ();
//{{testMDIClientVIRTUAL_END}}

//{{testMDIClientRSP_TBL_BEGIN}}
protected:
    void CmFileNew ();
    void CmFileOpen ();
    void CmFilePrint ();
    void CmFilePrintSetup ();
    void CmFilePrintPreview ();
    void CmPrintEnable (TCommandEnabler &tce);
    void EvDropFiles (TDropInfo);
    void CmCreateMdiA ();
    void CmCreateMdiB ();
    void CmCreateMdiC ();
    void CmAAA ();
    void CmBBB ();
    void CmCCC ();
//{{testMDIClientRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(testMDIClient);
};    //{{testMDIClient}}


#endif                                      // __tstmdicl_h sentry.
